Subject: Re: bug#10309: 24.0.92; [wishlist] Add an option to disable "auto-refining" while moving between hunks in diff mode

From: Dani Moncayo <[email-masked]>
Date: Fri, 16 Dec 2011 19:31:58 +0100

>> I thought it too, and it seems to work, but I saw the docstring of
>> that variable, and it seem to advise against changing the variable at
>> user-level:
>>
>>  Non-nil if Diff-Auto-Refine mode is enabled.
>>  Use the command `diff-auto-refine-mode' to change this variable.
>>
>> Why?
>
> Usually, every minor mode as as associated variable, but obviously the
> work is done by the function (the variable just acts as a flag to know
> whether the minor mode is active or not).
>
> In this case, the minor mode is defined with ":init-value t", so it
> defaults to active. If you check the macroexpansion of the minor-mode
> definition, you'll see it does
>
>  (defvar diff-auto-refine-mode t
>    "Non-nil if Diff-Auto-Refine mode is enabled.
>  Use the command `diff-auto-refine-mode' to change this variable.")
>  (make-variable-buffer-local 'diff-auto-refine-mode)
>
> so if you want it to default to disabled, you have to set it so.

I understand.

So, in the info node I mentioned before, please also explain this,
i.e., that the diff-auto-refine minor mode can be turned off by
default by setting the default value of `diff-auto-refine-mode' to
`nil'.

Thank you.

-- 
Dani Moncayo